OpenTTD AI API: Data Fields

OpenTTD AI API 15.0-RC1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- Import() : AIController
- INDUSTRYTYPE_TOWN : AIIndustryType
- INDUSTRYTYPE_UNKNOWN : AIIndustryType
- Info() : AILog
- Infrastructure : AIInfrastructure
- INFRASTRUCTURE_AIRPORT : AIInfrastructure
- INFRASTRUCTURE_CANAL : AIInfrastructure
- INFRASTRUCTURE_RAIL : AIInfrastructure
- INFRASTRUCTURE_ROAD : AIInfrastructure
- INFRASTRUCTURE_SIGNALS : AIInfrastructure
- INFRASTRUCTURE_STATION : AIInfrastructure
- Insert() : AIPriorityQueue
- InsertConditionalOrder() : AIOrder
- InsertOrder() : AIOrder
- INVALID_DISTRIBUTION_TYPE : AICargo
- IsActionAvailable() : AITown
- IsAirportClosed() : AIStation
- IsAirportInformationAvailable() : AIAirport
- IsAirportTile() : AIAirport
- IsArticulated() : AIEngine, AIVehicle
- IsAwarded() : AISubsidy
- IsBridgeTile() : AIBridge
- IsBuildable() : AIEngine, AITile
- IsBuildableRectangle() : AITile
- IsBuiltOnWater() : AIIndustry, AIIndustryType
- IsBuoyTile() : AIMarine
- IsCanalTile() : AIMarine
- IsCargoAccepted() : AIIndustry
- IsCity() : AITown
- IsCoastTile() : AITile
- IsConditionalOrder() : AIOrder
- IsCurrentOrderPartOfOrderList() : AIOrder
- IsDesertTile() : AITile
- IsDisabledVehicleType() : AIGameSettings
- IsDockTile() : AIMarine
- IsDriveThroughRoadStationTile() : AIRoad
- IsEmpty() : AIList, AIPriorityQueue
- IsEnd() : AIList
- IsEventWaiting() : AIEventController
- IsFarmTile() : AITile
- IsFreight() : AICargo
- IsGotoDepotOrder() : AIOrder
- IsGotoStationOrder() : AIOrder
- IsGotoWaypointOrder() : AIOrder
- IsHalftileSlope() : AITile
- IsHangarTile() : AIAirport
- IsHouseTile() : AITile
- IsInDepot() : AIVehicle
- IsLevelCrossingTile() : AIRail
- IsLoaded() : AINewGRF
- IsLockTile() : AIMarine
- IsMine() : AICompany
- IsPrimaryVehicle() : AIVehicle
- IsProcessingIndustry() : AIIndustryType
- IsRailDepotTile() : AIRail
- IsRailStationTile() : AIRail
- IsRailTile() : AIRail
- IsRailTypeAvailable() : AIRail
- IsRailWaypointTile() : AIRail
- IsRawIndustry() : AIIndustryType
- IsRefitOrder() : AIOrder
- IsRiverTile() : AITile
- IsRoadDepotTile() : AIRoad
- IsRoadStationTile() : AIRoad
- IsRoadTile() : AIRoad
- IsRoadTypeAvailable() : AIRoad
- IsRockTile() : AITile
- IsRoughTile() : AITile
- IsSeaTile() : AITile
- IsSnowTile() : AITile
- IsStationTile() : AITile
- IsSteepSlope() : AITile
- IsStoppedInDepot() : AIVehicle
- IsTunnelTile() : AITunnel
- IsValid() : AIGameSettings
- IsValidAirportType() : AIAirport
- IsValidBaseStation() : AIBaseStation
- IsValidBridge() : AIBridge
- IsValidCargo() : AICargo
- IsValidConditionalOrder() : AIOrder
- IsValidDate() : AIDate
- IsValidEngine() : AIEngine
- IsValidGroup() : AIGroup
- IsValidIndustry() : AIIndustry
- IsValidIndustryType() : AIIndustryType
- IsValidObjectType() : AIObjectType
- IsValidSign() : AISign
- IsValidStation() : AIStation
- IsValidSubsidy() : AISubsidy
- IsValidTile() : AIMap
- IsValidTown() : AITown
- IsValidTownEffect() : AICargo
- IsValidVehicle() : AIVehicle
- IsValidVehicleOrder() : AIOrder
- IsValidWaypoint() : AIWaypoint
- IsVoidOrder() : AIOrder
- IsWagon() : AIEngine
- IsWaterDepotTile() : AIMarine
- IsWaterTile() : AITile
- IsWithinTownInfluence() : AIStation, AITile, AITown